//Thread Catcher 22 Jaune 2020

Tolerance = 0.2;
$fn = 20;

Width       = 12;
HoleSpacing = 46;
HoleDia     = 4.0;
Length      = HoleSpacing + 10;
SlopeLength = 20;
BaseHeight  = 6.5;
Height      = BaseHeight + 3.5;
ScrewDia    = 8;
ConeHeight  = 4.;

Points = [[-SlopeLength,          0.0],
          [ 10.0,                 BaseHeight],
          [ Length / 2 - 4,       BaseHeight],
          [ 10.0,                 BaseHeight + 2],
          [ 10.0,                 Height],
          [ Length - 10.,         Height],
          [ Length - 10.,         BaseHeight + 2],
          [ Length / 2 + 4,       BaseHeight],
          [ Length - 10,          BaseHeight],
          [ Length + SlopeLength, 0.0],
          [-SlopeLength,          0.0]];
Path   = [[ 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11]];

difference()
{
  linear_extrude( height = Width, convexity = 1, twist = 0)
  polygon( Points, Path, convexity = 20);
  //Remove mounting holes
  translate([ 5, 0, Width / 2]) rotate([ 90, 0, 0])
    cylinder( h = 10, d = HoleDia, center = true);
  translate([ Length - 5, 0, Width / 2]) rotate([ 90, 0, 0])
    cylinder( h = 10, d = HoleDia, center = true);
  //Remove screw heads
  translate([ 5,          2.51, Width / 2]) rotate([ 90, 0, 0])
    cylinder( h = ConeHeight, d1 = ScrewDia, d2 = 0, center = true);
  translate([ Length - 5, 2.51, Width / 2]) rotate([ 90, 0, 0])
    cylinder( h = ConeHeight, d1 = ScrewDia, d2 = 0, center = true);
  //Remove above screws
  translate([ 5,          ConeHeight + 3., Width / 2]) rotate([ 90, 0, 0])
    cylinder( h = 5, d = ScrewDia, center = true);
  translate([ Length - 5, ConeHeight + 3., Width / 2]) rotate([ 90, 0, 0])
    cylinder( h = 5, d = ScrewDia, center = true);
}
          